//
// File: dice.h
// Uses checkbox and expands it with dice features
//
// adds dice features to checkbox-class
//
// Created by: Joni Valtanen <jvaltane@lpt.fi>
// Created on: Wed Nov  3 01:08:08 2004
//
//
// GNU General Public Licence version 2 - Read COPYING from the package
//

#ifndef _DICE_H_
#define _DICE_H_

#include "defines.h"

#include <string>
using namespace std;

#include "checkbox.h"

class dice : public checkbox
{
	
	private:
		int value;
	public:
		dice();
		dice( int dValue, int x_pos, int y_pos,const char* up_image,const char* down_image, bool check);
		dice(SDL_Surface* src, int dValue,int x_pos, int y_pos,const char* up_image,const char* down_image, bool check);
		~dice();
		void updateValue(int dValue, string *pn_du, string *pn_dd );
//		void update(SDL_Surface* destination);
		int getValue(void);
};


#endif	//_DICE_H_
