//
// All defines in one file 
// GNU General Public Licence version 2 - Read COPYING from the package
//
//

#ifndef _DEFINES_H_
#define _DEFINES_H_

#define MAX_TEXT_ITEXTBOX 14
#define MAX_TEXT_REALLY 21
#define MAX_TEXT 255

#define MAX_PLAYERS 4
#define MAX_DICES 6
#define MAX_FILENAMES 255
#define MAX_RAND 32767.0

//screen backgrounds
#define PIC_MAINMENU "/pics/mainmenu.png"
#define PIC_GAME "/pics/game.png"
#define PIC_PLAYERS "/pics/configbg.png"
#define PIC_CONFIG "/pics/configbg.png"
#define PIC_QUIT "/pics/quit.png"

// textbackgrounds
#define PIC_ITEXT1 "/pics/itextbg.png"


#define FONT1_NAME "/fonts/portcreb.ttf"

//utotal, bonus,total font size
#define ITEXT1_SIZE 22
#define SHITEXT_SIZE 32
#define ITEXT2_SIZE 16
#define ITEXT3_SIZE 14
// itextbox1 size

//button pics
#define PIC_STARTUP "/pics/startu.png"
#define PIC_STARTDOWN "/pics/startd.png"
#define PIC_QUITUP "/pics/quitu.png"
#define PIC_QUITDOWN "/pics/quitd.png"
#define PIC_CONFIGUP "/pics/configu.png"
#define PIC_CONFIGDOWN "/pics/configd.png"
#define PIC_BACKUP "/pics/backu.png"
#define PIC_BACKDOWN "/pics/backd.png"
#define PIC_OKUP "/pics/oku.png"
#define PIC_OKDOWN "/pics/okd.png"
#define PIC_CANCELUP "/pics/cancelu.png"
#define PIC_CANCELDOWN "/pics/canceld.png"
#define PIC_THROWUP "/pics/throwu.png"
#define PIC_THROWDOWN "/pics/throwd.png"

//upper
#define PIC_M1UP "/pics/1u.png"
#define PIC_M1DOWN "/pics/1d.png"
#define PIC_M2UP "/pics/2u.png"
#define PIC_M2DOWN "/pics/2d.png"
#define PIC_M3UP "/pics/3u.png"
#define PIC_M3DOWN "/pics/3d.png"
#define PIC_M4UP "/pics/4u.png"
#define PIC_M4DOWN "/pics/4d.png"
#define PIC_M5UP "/pics/5u.png"
#define PIC_M5DOWN "/pics/5d.png"
#define PIC_M6UP "/pics/6u.png"
#define PIC_M6DOWN "/pics/6d.png"

//pairs
#define PIC_M1PUP "/pics/1pu.png"
#define PIC_M1PDOWN "/pics/1pd.png"
#define PIC_M2PUP "/pics/2pu.png"
#define PIC_M2PDOWN "/pics/2pd.png"
#define PIC_M3PUP "/pics/3pu.png"
#define PIC_M3PDOWN "/pics/3pd.png"

//sames
#define PIC_M3SUP "/pics/3su.png"
#define PIC_M3SDOWN "/pics/3sd.png"
#define PIC_M4SUP "/pics/4su.png"
#define PIC_M4SDOWN "/pics/4sd.png"
#define PIC_M5SUP "/pics/5su.png"
#define PIC_M5SDOWN "/pics/5sd.png"

//straights
#define PIC_MSSUP "/pics/ssu.png"
#define PIC_MSSDOWN "/pics/ssd.png"
#define PIC_MLSUP "/pics/lsu.png"
#define PIC_MLSDOWN "/pics/lsd.png"
#define PIC_MFSUP "/pics/fsu.png"
#define PIC_MFSDOWN "/pics/fsd.png"

#define PIC_MHUTUP "/pics/hutu.png"
#define PIC_MHUTDOWN "/pics/hutd.png"
#define PIC_MHOUUP "/pics/houseu.png"
#define PIC_MHOUDOWN "/pics/housed.png"
#define PIC_MTOWUP "/pics/toweru.png"
#define PIC_MTOWDOWN "/pics/towerd.png"

#define PIC_MCHAUP "/pics/changeu.png"
#define PIC_MCHADOWN "/pics/changed.png"
#define PIC_MYUP "/pics/yatzeeu.png"
#define PIC_MYDOWN "/pics/yatzeed.png"

#define PIC_D1UP "/pics/d1.png"
#define PIC_D1DOWN "/pics/d1c.png"
#define PIC_D2UP "/pics/d2.png"
#define PIC_D2DOWN "/pics/d2c.png"
#define PIC_D3UP "/pics/d3.png"
#define PIC_D3DOWN "/pics/d3c.png"
#define PIC_D4UP "/pics/d4.png"
#define PIC_D4DOWN "/pics/d4c.png"
#define PIC_D5UP "/pics/d5.png"
#define PIC_D5DOWN "/pics/d5c.png"
#define PIC_D6UP "/pics/d6.png"
#define PIC_D6DOWN "/pics/d6c.png"

#define PIC_CHECKUP "/pics/check.png"
#define PIC_CHECKDOWN "/pics/checkc.png"

/*
//not ready yet
*/

//events
enum
{
WQUIT=1, // windowsystem quit
QUIT,QUICKQUIT,END, START, CONFIG, 
BACK, OK, CANCEL,
};

enum
{
NAME=0,
ONE,TWO,THREE,FOUR,FIVE,SIX,
BONUS,UTOTAL,
PAIR,TWOPAIRS,THREEPAIRS,
THREEKIND,FOURKIND,FIVEKIND,
SMALLSTRAIGHT,LARGESTRAIGHT,FULLSTRAIGHT,
HUT,HOUSE,TOWER,
CHANGE,YATZY,
TOTAL
};

//button posiotions
#define QUIT_X 700
#define QUIT_Y 558

#define START_X 10
#define START_Y 60

#define CONFIG_X 10
#define CONFIG_Y 110

#define BACK_X 10
#define BACK_Y 10

#define OK_X 10
#define OK_Y 558

#define CANCEL_X 100
#define CANCEL_Y 558

// hiscore textplace
#define SHITEXT_X 200
#define SHITEXT_Y 70

//players
#define SPTEXT_X 25
#define SPTEXT_Y 60
#define SGTEXT_Y 280

//currentt player name
#define CPNTEXT_X 20
#define CPNTEXT_Y 69

// config textplaces
#define ITEXT1_X 123
#define ITEXT1_Y 100
#define ITEXT2_X ITEXT1_X
#define ITEXT2_Y 140
#define ITEXT3_X ITEXT1_X
#define ITEXT3_Y 180
#define ITEXT4_X ITEXT1_X
#define ITEXT4_Y 220

#define STEXT1_X 48
#define STEXT1_Y ITEXT1_Y
#define STEXT2_Y ITEXT2_Y
#define STEXT3_Y ITEXT3_Y
#define STEXT4_Y ITEXT4_Y

#define HITEXT_X 210
#define HITEXT_Y 110

//diceplaces
#define DD 70
#define D1_X 10
#define D1_Y 5

#define D2_X D1_X+DD
#define D2_Y D1_Y

#define D3_X D2_X+DD
#define D3_Y D1_Y

#define D4_X D3_X+DD
#define D4_Y D1_Y

#define D5_X D4_X+DD
#define D5_Y D1_Y

#define D6_X D5_X+DD
#define D6_Y D1_Y

#define DC 5
#define CHECK1_X 25
#define CHECK1_Y ITEXT1_Y+DC
#define CHECK2_Y ITEXT2_Y+DC
#define CHECK3_Y ITEXT3_Y+DC
#define CHECK4_Y ITEXT4_Y+DC

#define FSCHECK_X 25
#define FSCHECK_Y 325

#define FSTEXT_X 48
#define FSTEXT_Y FSCHECK_Y-5


#define THROW_X 440
#define THROW_Y 15

//FIXME:: M1_Y 100 after cut
// missions
#define DM 20
#define M1_X 10
#define M1_Y 110
#define M2_Y M1_Y+DM
#define M3_Y M2_Y+DM
#define M4_Y M3_Y+DM
#define M5_Y M4_Y+DM
#define M6_Y M5_Y+DM

//FIXME ..+(6*DM)
#define TBONUS_Y M6_Y+DM
#define TUTOTAL_Y TBONUS_Y+DM

//FIXME ..+(2*DM)
#define MPAIR_Y TUTOTAL_Y+DM
#define M2PAIRS_Y MPAIR_Y+DM
#define M3PAIRS_Y M2PAIRS_Y+DM

#define M3SAME_Y M3PAIRS_Y+DM
#define M4SAME_Y M3SAME_Y+DM
#define M5SAME_Y M4SAME_Y+DM

#define MSS_Y M5SAME_Y+DM
#define MLS_Y MSS_Y+DM
#define MFS_Y MLS_Y+DM

#define MHUT_Y MFS_Y+DM
#define MHOUSE_Y MHUT_Y+DM
#define MTOWER_Y MHOUSE_Y+DM

#define MCHANGE_Y MTOWER_Y+DM
#define MYATZEE_Y MCHANGE_Y+DM

#define MTOTAL_Y MYATZEE_Y+DM

#define STM1_X 200
#define DSTM_X 150
#define STM1_Y M1_Y-DM

#define USLEEP 10000
#define MAX_THROWS 3
#define MAX_MTOTAL 3
#define MISSIONS 20
#define MISSIONS_ALL 24

#define BONUS_LINE 84
#define BONUS_VAL 50

//FIXME remove when release
//#define DATADIR "/home/joni/Projects/YWSD/data"

#ifdef MACOSX
#define DATADIR "sixzee.app/Contents/Resources/themes"
#endif

#ifdef WIN32
#define DATADIR_WIN32 "themes"
#endif

#define GAME_NAME "Sixzee"
#define TURN " it's your turn!"

#define MAX_HISCORES 20
#endif

#define DEBUG 0
