//
// File: dice.cc
// Uses checkbox and expands it with dice features
//
// Created by: Joni Valtanen <jvaltane@lpt.fi>
// Created on: Wed Nov  3 01:08:08 2004
//
//
// GNU General Public Licence version 2 - Read COPYING from the package
//

#include "dice.h"


dice::dice() : checkbox()
{
	// TODO: put constructor code here
}

dice::dice(int dValue,int x_pos, int y_pos,const char* up_image,const char* down_image, bool check)
: checkbox( x_pos, y_pos, up_image, down_image, check)
{
	value = dValue;
}

dice::dice(SDL_Surface* src, int dValue,int x_pos, int y_pos,const char* up_image,const char* down_image, bool check)
: checkbox(src, x_pos, y_pos, up_image, down_image, check)
{
	value = dValue;
}

dice::~dice()
{
	// TODO: put destructor code here
}

void dice::updateValue(int dValue, string *pn_du, string *pn_dd )
{
	value = dValue;
	checkbox::updatePictures(pn_du[value-1].c_str(), pn_dd[value-1].c_str());
	
}

	
int dice::getValue(void)
{
	return value;	
}
